# This file created by conda-build 3.17.3
# ------------------------------------------------

package:
    name: gdal
    version: 2.3.2
source:
    patches:
        - 0001-windowshdf5.patch
        - 0002-multiprocessor.patch
        - 0003-prepend-dll.patch
    sha256: 3f6d78fe8807d1d6afb7bed27394f19467840a82bc36d65e66316fa0aa9d32a4
    url: http://download.osgeo.org/gdal/2.3.2/gdal-2.3.2.tar.xz
build:
    ignore_run_exports:
        - hdf5
        - libgcc-ng
        - openssl
    number: 0
    string: py27h2924dbc_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_3
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - blas 1.0 mkl
        - ca-certificates 2018.03.07 0
        - certifi 2018.11.29 py27_0
        - hdf5 1.10.2 hba1933b_1
        - intel-openmp 2019.1 144
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgdal 2.3.2 h9d4a965_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - mkl 2018.0.3 1
        - ncurses 6.1 he6710b0_1
        - numpy 1.11.3 py27h1d66e8a_10
        - numpy-base 1.11.3 py27h81de0dd_10
        - openssl 1.0.2p h14c3975_0
        - pip 18.1 py27_0
        - python 2.7.15 h77bded6_2
        - readline 7.0 h7b6447c_5
        - setuptools 40.6.2 py27_0
        - sqlite 3.25.3 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py27_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - libgcc-ng >=7.3.0
        - libgdal 2.3.2 h9d4a965_0
        - libstdcxx-ng >=7.3.0
        - numpy >=1.11.3,<2.0a0
        - python >=2.7,<2.8.0a0
test:
    about:
        summary: Python wrapper for the Geospatial Data Abstraction Library (GDAL)
    files:
        - extra_tests.py
        - test_data
    imports:
        - gdal
        - gdalconst
        - osgeo
        - osgeo._gdal
        - osgeo._gdalconst
        - osgeo._ogr
        - osgeo._osr
        - osgeo.gdal
        - osgeo.ogr
        - osr
about:
    home: http://www.gdal.org
    license: MIT
    license_file: LICENSE.TXT
    summary: 'GDAL is a translator library for raster and vector geospatial data formats
        that is released under an

        X/MIT style Open Source license by the Open Source Geospatial Foundation.

        '
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - gillins
        - kmuehlbauer
        - mingwandroid
        - msarahan
        - ocefpaf
